#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main(int argc, char** argv) {
	char c1, c2;
	int a1, a2;
	scanf("%c %c %d %d", &c1, &c2, &a1, &a2);
	if(abs(a1-a2) > 1) {
		printf("nemoguce");
		return 0;
	}
	else if(a1 == a2) {
		for(int i = 0; i < a1; i++) {
			printf("%c%c",c1,c2);
		}
	}
	else if(a1 > a2) {
		for(int i = 0 ; i < a2; i++) {
			printf("%c%c", c1, c2);
		}
		printf("%c",c1);
	}
	else {
		for(int i = 0; i < a1; i++) {
			printf("%c%c", c2, c1);
		}
		printf("%c", c2);
	}
	
	return 0;
}